On Mar 5, 2004, at 5:24 AM, Bruce D'Arcus wrote:

>
> On Mar 5, 2004, at 12:04 AM, Mark Hubbart wrote:
>
>>> Thanks; that worked for ruby itself.  However, I still get this:
>>>
>>> # ri File
>>> Nothing known about File
>>
>> Hmm... okay.
>>
>> Was the documentation generated when you installed?
>
> I don't know. I downloaded the ri package separately, not knowing that 
> it seems to be bundled with 1.8.  Following the directions I just 
> found at this link doesn't solve the problem though:
>
> http://www.rubygarden.org/ruby?NextGenerationRi
>
>> I know it does it automatically in 1.9, but...
>> They should be stored in /usr/local/share/ri/1.8/system/ , so see if 
>> there's a bunch of folders there named File, CGI, etc... that's my 
>> first guess
>
> The files are in /usr/local/lib/ruby/site_ruby/ri.
>
>> If they're there, see if you can pull up the docs by entering "ri -d 
>> /usr/local/share/ri/1.8/system/ File".
>
> The -d option isn't recognized.
>
> Am confused...

:/ My mistake. I am using 1.9 and assumed that the version of RI you 
have would be basically the same. It really isn't. I'm renaming this 
thread in hopes someone with more knowledge than me will pick it up. (I 
think non-mac people may be ignoring this thread due to the subject :)

--Mark